
D4Science Infrastructure - VM Creation #12053

Create new CKAN instance for SBD catalogue: ckan.sobigdata.d4science.net

Jun 27, 2018 04:34 PM - Francesco Mangiacrapa

Status: Closed Start date: Jun 27, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Data Catalogue   

Infrastructure: Production Applications list and

version:

 

RAM: 4 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

CKAN connector

Smartgears: Yes data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/S

oBigData/ResourceCatalogue

  

Description

History

#2 - Jun 27, 2018 04:45 PM - Francesco Mangiacrapa

- PostgreSQL database changed from Yes to No

#3 - Jun 27, 2018 04:56 PM - Francesco Mangiacrapa

- Subject changed from Create new CKAN instance for SBD catalogue: ckan-sobigdata.d4science.net to Create new CKAN instance for SBD

catalogue: ckan-sobigdata1.d4science.net

#4 - Jun 27, 2018 05:46 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 50

VM ckan.sobigdata.d4science.net running, to be provisioned.

#5 - Jun 28, 2018 12:35 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

The VM has been provisioned. If the harvesting succeeds, we can switch the hostname and the smartgears scope.

#6 - Jun 28, 2018 02:01 PM - Andrea Dell'Amico

We've found a clash between a file that we overwrite and a newer version of that file. It's

/usr/lib/ckan/default/src/ckanext-harvest/ckanext/harvest/harvesters/base.py, that now includes a class definition that was inside a different file in the

past.

#7 - Jun 28, 2018 06:00 PM - Andrea Dell'Amico

The problem has been solved.
#8 - Jun 29, 2018 02:38 PM - Francesco Mangiacrapa

- Subject changed from Create new CKAN instance for SBD catalogue: ckan-sobigdata1.d4science.net to Create new CKAN instance for SBD

catalogue: ckan.sobigdata.d4science.net

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#9 - Jun 29, 2018 02:43 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

We still need to move the hostname and the smartgears scope registration.

#10 - Jul 03, 2018 03:01 PM - Andrea Dell'Amico

@francesco.mangiacrapa@isti.cnr.it are we ready to switch?

#11 - Jul 06, 2018 11:11 AM - Francesco Mangiacrapa

I noticed that 3 items were added to old catalogue (https://ckan-sobigdata.d4science.org/) so their should be added to the new one (

https://ckan.sobigdata.d4science.net/). I can run the script to copy new items from old to new catalogue before switching.. 

At the moment the switch is scheduled for Monday morning with @roberto.cirillo@isti.cnr.it

#12 - Jul 06, 2018 09:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Hostname has been switched. @roberto.cirillo@isti.cnr.it fixed all the endpoint, the connector configuration has been fixed to reflect the new

hostname as well.

Now the service answers to ckan-sobigdata.d4science.org.

If it's all OK, we can destroy the old server and related databases.

#13 - Jul 07, 2018 08:25 AM - Pasquale Pagano

- File Screen Shot 2018-07-07 at 08.22.14.png added

- Priority changed from Normal to Urgent

I cannot access the catalogue anymore. I attached an image reporting the error

#14 - Jul 07, 2018 03:21 PM - Francesco Mangiacrapa

The CkanConnector seems undeployed (is missing) in that scope (/d4science.research-infrastructures.eu/SoBigData/ResourceCatalogue)

This issue is very strange because yesterday the connector was ready and running..

@andrea.dellamico@isti.cnr.it or @roberto.cirillo@isti.cnr.it please fix the issue asap, thanks.

Moreover, @Andrea, please check if the redirect performed by CkanConnector is to https://ckan-sobigdata.d4science.org/ (instead of 

https://ckan.sobigdata.d4science.net), thanks again.

#15 - Jul 07, 2018 05:10 PM - Andrea Dell'Amico

I fixed the redirection yesterday. About the missing scope the only action I know is a restart of the container but I do not have a shell right now

#16 - Jul 07, 2018 07:03 PM - Tommaso Piccioli

I restarted the connnector container in this moment, if you can check it...

#17 - Jul 09, 2018 10:44 AM - Francesco Mangiacrapa

Thanks @tommaso.piccioli@isti.cnr.it and @andrea.dellamico@isti.cnr.it now the catalogue works fine at 

https://sobigdata.d4science.org/group/sobigdata-gateway/data-catalogue

Just a last fix regarding the scope: /d4science.research-infrastructures.eu/SoBigData/E-Learning_Area

2018-07-09 08:31:17,871 ERROR server.GcoreEndpointReader [http-bio-9090-exec-108,<init>:73] %java.lang.Excepti

on: 

Cannot retrieve the GCoreEndpoint serviceName: CkanConnector, serviceClass: DataAccess, in scope: /d4science.r

esearch-infrastructures.eu/SoBigData/E-Learning_Area

    at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.GcoreEndpointReader.<init>(GcoreEndpointReader

.java:61)
 We need to add the CkanConnector in that scope. I can proceed by using the Monitor (copying the CkanConnector from VO

"/d4science.research-infrastructures.eu/SoBigData" to VRE "/d4science.research-infrastructures.eu/SoBigData/E-Learning_Area") but if we have an

ansible script to perform it then we can proceed via script. Let me know..

#18 - Jul 09, 2018 12:01 PM - Andrea Dell'Amico

I just added the scope to the list in the ansible variables. Let me know when I can reconfigure the connector.

#19 - Jul 09, 2018 01:17 PM - Andrea Dell'Amico

Done. The scopes are now:

/d4science.research-infrastructures.eu/SoBigData

/d4science.research-infrastructures.eu/SoBigData/ResourceCatalogue

/d4science.research-infrastructures.eu/SoBigData/CityOfCitizens

/d4science.research-infrastructures.eu/SoBigData/MigrationStudies

/d4science.research-infrastructures.eu/SoBigData/E-Learning_Area

#20 - Jul 09, 2018 02:42 PM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

The SBD catalogue seems work in all scopes

Files
